Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.beans.common
Interface T3BeanServicesDef

Deprecated. Use RMI instead.

public interface T3BeanServicesDef

This interface specifies the services for T3Bean management that are provided in the T3Server and T3Client. Services in the T3Server Framework, including the BeanT3 services, are provided to the T3Client through the T3Client's `services` reference and methods in this interface. For example, a T3Client might get access to BeanT3 services as follows:

       T3Client t3 = new T3Client("t3://localhost:7001");
       Address adr = t3.services.beans().findImplementation("MyT3Bean");
       ClientEnumeration ce =
         t3.services.beans().findClients("MyT3Bean");

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.util.Enumeration` | `findClients(java.lang.String name)` Deprecated. Use RMI instead.
`weblogic.t3.srvr.Address` | `findImplementation(java.lang.String name)` Deprecated. Use RMI instead.
`void` | `migrateImplementation(java.lang.String name, weblogic.t3.srvr.Address destination)` Deprecated. Use RMI instead.

Method Detail

### findClients

    public java.util.Enumeration findClients(java.lang.String name)
                                      throws T3Exception

  Deprecated. Use RMI instead.
  Finds the location of all T3Bean clients of an implementation bound to the specified name.

  Parameters:
    `name` - Name of the T3Bean of interest
  Throws:
    T3Exception - if there is an T3-related error

### findImplementation

    public weblogic.t3.srvr.Address findImplementation(java.lang.String name)
                                                throws NotImplementedException,
                                                       T3Exception

  Deprecated. Use RMI instead.
  Finds the location of the implementation that is bound to the specified name.

  Parameters:
    `name` - Name of the T3Bean of interest
  Throws:
    NotImplementedException - if there is no implementation that matches the name
    T3Exception - if there is an T3-related error

### migrateImplementation

    public void migrateImplementation(java.lang.String name,
                                      weblogic.t3.srvr.Address destination)
                               throws NotImplementedException,
                                      T3Exception

  Deprecated. Use RMI instead.
  Moves the implementation to a new destination (URL) in the T3Server framework.

  Parameters:
    `name` - Name of the T3Bean of interest
    `destination` - Address of the destination
  Throws:
    NotImplementedException - if there is no implementation that matches the name
    T3Exception - if there is an T3-related error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD